Bug 639719 - Review Request: apache-commons-cli - rename of jakarta-commons-cli
Review Request: apache-commons-cli - rename of jakarta-commons-cli
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks: JakartaCommonsRename
  Show dependency treegraph
 
Reported: 2010-10-03 11:51 EDT by Spike
Modified: 2010-10-19 12:04 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-19 12:04:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
akurtako: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Spike 2010-10-03 11:51:56 EDT
This is a re-review of existing package!

Spec URL: http://spike.fedorapeople.org/apache-commons-cli/apache-commons-cli.spec
SRPM URL: http://spike.fedorapeople.org/apache-commons-cli/apache-commons-cli-1.2-1.fc13.src.rpm
Description: 
The CLI library provides a simple and easy to use API for working with the command line arguments and options.
Comment 1 Alexander Kurtakov 2010-10-07 05:33:19 EDT
I'll take this one.
Comment 2 Alexander Kurtakov 2010-10-07 07:14:37 EDT
=== REQUIRED ITEMS ===
[X]  Rpmlint output:
apache-commons-cli.noarch: W: non-conffile-in-etc /etc/maven/fragments/apache-commons-cli
apache-commons-cli-javadoc.noarch: W: obsolete-not-provided jakarta-commons-cli-javadoc
No need to provide rarely used and obsoleted packages.
[X]  Package is named according to the Package Naming Guidelines[1].
[X]  Spec file name must match the base package name, in the format %{name}.spec.
[X]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type:
[X]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[X]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[X]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    :ee486a89570648bcca0a2a4a7e95fcaf
MD5SUM upstream package:ee486a89570648bcca0a2a4a7e95fcaf
[XZ]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates.
[X]  Package requires other packages for directories it uses.
[X]  Package does not contain duplicates in %files.
[X]  Permissions on files are set properly.
[X]  Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[X]  Package consistently uses macros.
[X]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Package uses %global not %define
[-]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[X]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.

=== Maven ===
[X]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven2.jpp.depmap.file=*" explain why it's needed in a comment
[X]  Package uses %update_maven_depmap in %post/%postun
[X]  Packages have Requires(post) and Requires(postun) on jpackage-utils (for %update_maven_depmap macro)

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Javadocs are placed in %{_javadocdir}/%{name}-%{version} with %{_javadocdir}/%{name} symlink
[X]  Jar files are installed to %{_javadir}/%{name}-%{version}.jar with %{_javadir}/%{name}.jar (unversioned) symlink
[X]  If package contains pom.xml files install it (including depmaps) even when building with ant 
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
[X]  Reviewer should test that the package builds in mock.


=== Issues ===
1. Please remove Epoch and fix provides to not use this package Epoch because it will be missing.
Comment 3 Spike 2010-10-18 11:14:03 EDT
(In reply to comment #2)
> === Issues ===
> 1. Please remove Epoch and fix provides to not use this package Epoch because
> it will be missing.

Done. New spec and SRPM:
http://spike.fedorapeople.org/apache-commons-cli/apache-commons-cli.spec
http://spike.fedorapeople.org/apache-commons-cli/apache-commons-cli-1.2-2.fc13.src.rpm
Comment 4 Alexander Kurtakov 2010-10-18 11:37:04 EDT
Thanks,
This package is APPROVED.
Comment 5 Spike 2010-10-18 11:50:09 EDT
Thanks for reviewing.

New Package SCM Request
=======================
Package Name: apache-commons-cli
Short Description: Command Line Interface Library for Java
Owners: spike
Branches: F-14
InitialCC:
Comment 6 Kevin Fenzi 2010-10-19 00:01:21 EDT
Git done (by process-git-requests).
Comment 7 Spike 2010-10-19 12:04:32 EDT
Package built, closing.

Koji build: http://koji.fedoraproject.org/koji/buildinfo?buildID=201109

Note You need to log in before you can comment on or make changes to this bug.